Package org.drinkless.tdlib

# Class TdApi.InputFileGenerated

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputFile
org.drinkless.tdlib.TdApi.InputFileGenerated

Enclosing class:
  `TdApi`

public static class TdApi.InputFileGenerated extends TdApi.InputFile
A file generated by the application. The application must handle updates updateFileGenerationStart and updateFileGenerationStop to generate the file when asked by TDLib.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputFile

  `TdApi.InputFile.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `conversion`
  String specifying the conversion applied to the original file; must be persistent across application restarts.
  `long`
  `expectedSize`
  Expected size of the generated file, in bytes; pass 0 if unknown.
  `String`
  `originalPath`
  Local path to a file from which the file is generated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputFileGenerated()`
  A file generated by the application.
  `InputFileGenerated(String originalPath, String conversion, long expectedSize)`
  A file generated by the application.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### originalPath

    public String originalPath
    Local path to a file from which the file is generated. The path doesn't have to be a valid path and is used by TDLib only to detect name and MIME type of the generated file.

  - ### conversion

    public String conversion
    String specifying the conversion applied to the original file; must be persistent across application restarts. Conversions beginning with '#' are reserved for internal TDLib usage.

  - ### expectedSize

    public long expectedSize
    Expected size of the generated file, in bytes; pass 0 if unknown.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputFileGenerated

    public InputFileGenerated()
    A file generated by the application. The application must handle updates updateFileGenerationStart and updateFileGenerationStop to generate the file when asked by TDLib.

  - ### InputFileGenerated

    public InputFileGenerated(String originalPath, String conversion, long expectedSize)
    A file generated by the application. The application must handle updates updateFileGenerationStart and updateFileGenerationStop to generate the file when asked by TDLib.
    Parameters:
      `originalPath` - Local path to a file from which the file is generated. The path doesn't have to be a valid path and is used by TDLib only to detect name and MIME type of the generated file.
      `conversion` - String specifying the conversion applied to the original file; must be persistent across application restarts. Conversions beginning with '#' are reserved for internal TDLib usage.
      `expectedSize` - Expected size of the generated file, in bytes; pass 0 if unknown.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputFile`
    Returns:
      this.CONSTRUCTOR